#!/bin/bash

color_violet="\e[1;35m";
color_red="\e[0;31m";
color_normal="\e[0m";
color_green="\e[32m";
color_blue="\e[0;34m";

DONE="[  ${color_green}done${color_normal}  ]"
FAIL="[  ${color_red}fail${color_normal}  ]"

DOTSTRING=""
cols=`tput cols`
#cols=$((cols / 4))
cols=$((cols - 10))
for i in `seq 1 $cols`; do
    DOTSTRING=$DOTSTRING"."
done
function align_left() {
    local chars="$1"
    local str="${@:2}"
    echo -n ${str}${chars:${#str}}
}

function align_echo() {
    if [[ "$1" != 0 ]]; then
        echo -e $FAIL
        echo "$2"
    else
        echo -e $DONE
    fi
}
